Subject: Re: [http-auth] [Mutual] (due Aug 28) Mutual auth issues (part 1)

From: Yutaka OIWA <[email-masked]>
Date: Fri, 4 Sep 2015 07:48:24 +0000

Dear HTTP-AUTH WG attendees,

Thank you very much for your comments.

Regarding the parameter names,
  * I'd like to rename "auth-domain" to "auth-scope", as
    It seems to be clearer.
  * I'd like to keep "path" parameter as is now, because
    - the term "domain" gives unintended feeling of its relation with domain names,
    - unlike "domain" parameter in Digest, it accepts the
      in-domain path names only
      (full-URL style pathes with domain names are not accepted).

I'll go with the second set of issues sooner.

Thanks again,
Yutaka

-- 
Yutaka OIWA, Ph.D.               Cyber Physical Architecture Research Group
                                  Information Technology Research Institute
    National Institute of Advanced Industrial Science and Technology (AIST)
                      Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]

> -----Original Message-----
> From: Yutaka OIWA
> Sent: Thursday, August 13, 2015 11:17 AM
> To: [email-masked]' <[email-masked]>
> Cc: [email-masked]' <[email-masked]>
> Subject: [Mutual] (due Aug 28) Mutual auth issues (part 1)
> 
> Dear all HTTPAUTH WG members,
> 
> I'd like to have your comments on the following three issues.
> Please make your initial response *before August 28*, or the WG will consider
> these issues as successfully resolved (as the WG Chair said in the Prague
> meeting.)
> 
> We appreciate your responses in any of the following form:
>   * on the github issue tracking system (comments, pull-request etc.)
>   * on this mailing list
>   * on the private email
> We'll summarize comments on the medium above, and send it to this mailing list.
> (Please be understood that your comments on the private email may be included
> in the summary and published.)
> 
> 
> ==== draft-ietf-httpauth-mutual ====
> 
> = Section 3.1 =
> 
> [P1] Is adoption of RFC5987 OK?
> https://github.com/yoiwa/httpauth-mutual/issues/1
> 
> [P2] The encoding is fixed to UTF-8, without any language.
>      (justification: it is not an on-line negotiable parameter,
>       and the new protocol does not need to consider older
>       clients.)
> https://github.com/yoiwa/httpauth-mutual/issues/2
> 
> = Section 4: Messages =
> 
> [P3] Are the reserved parameter names making sense?
> https://github.com/yoiwa/httpauth-mutual/issues/3
> 
> 
> Thank you for your cooperation.
> 
> --
> Yutaka OIWA, Ph.D.               Cyber Physical Architecture Research Group
>                                   Information Technology Research Institute
>     National Institute of Advanced Industrial Science and Technology (AIST)
>                       Mail addresses: <[email-masked]>, <[email-masked]>
> OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]